com.fasterxml.jackson.databind.deser.std

## Class FromStringDeserializer.Std

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<Object>
        - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer.Std

All Implemented Interfaces:
  Serializable

Enclosing class:
  FromStringDeserializer<T>

    public static class FromStringDeserializer.Std
    extends FromStringDeserializer<Object>

"Chameleon" deserializer that works on simple types that are deserialized from a simple String.

Since:
  2.4
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`FromStringDeserializer.Std`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`protected int` `_kind`
`static int` `STD_CHARSET`
`static int` `STD_CLASS`
`static int` `STD_CURRENCY`
`static int` `STD_FILE`
`static int` `STD_INET_ADDRESS`
`static int` `STD_INET_SOCKET_ADDRESS`
`static int` `STD_JAVA_TYPE`
`static int` `STD_LOCALE`
`static int` `STD_PATTERN`
`static int` `STD_TIME_ZONE`
`static int` `STD_URI`
`static int` `STD_URL`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`protected` `FromStringDeserializer.Std(Class<?> valueType, int kind)`

### Method Summary

Methods
`protected Object` `_deserialize(String value, DeserializationContext ctxt)`
`protected Object` `_deserializeFromEmptyString()`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, deserialize, findDeserializer, types`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STD_FILE

    public static final int STD_FILE

See Also:
  Constant Field Values

#### STD_URL

    public static final int STD_URL

See Also:
  Constant Field Values

#### STD_URI

    public static final int STD_URI

See Also:
  Constant Field Values

#### STD_CLASS

    public static final int STD_CLASS

See Also:
  Constant Field Values

#### STD_JAVA_TYPE

    public static final int STD_JAVA_TYPE

See Also:
  Constant Field Values

#### STD_CURRENCY

    public static final int STD_CURRENCY

See Also:
  Constant Field Values

#### STD_PATTERN

    public static final int STD_PATTERN

See Also:
  Constant Field Values

#### STD_LOCALE

    public static final int STD_LOCALE

See Also:
  Constant Field Values

#### STD_CHARSET

    public static final int STD_CHARSET

See Also:
  Constant Field Values

#### STD_TIME_ZONE

    public static final int STD_TIME_ZONE

See Also:
  Constant Field Values

#### STD_INET_ADDRESS

    public static final int STD_INET_ADDRESS

See Also:
  Constant Field Values

#### STD_INET_SOCKET_ADDRESS

    public static final int STD_INET_SOCKET_ADDRESS

See Also:
  Constant Field Values

#### _kind

    protected final int _kind

### Constructor Detail

#### FromStringDeserializer.Std

    protected FromStringDeserializer.Std(Class<?> valueType,
                              int kind)

### Method Detail

#### _deserialize

    protected Object _deserialize(String value,
                      DeserializationContext ctxt)
                           throws IOException

Specified by:
  `_deserialize` in class `FromStringDeserializer<Object>`
Throws:
  `IOException`

#### _deserializeFromEmptyString

    protected Object _deserializeFromEmptyString()
                                          throws IOException

Overrides:
  `_deserializeFromEmptyString` in class `FromStringDeserializer<Object>`
Throws:
  `IOException`